# Retrieve a token using its ID

Retrieves a specific token using its ID.

Endpoint: GET /api/token/v2/{id}
Version: v2.0
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer JWT

## Path parameters:

  - `id` (string, required)
    The ID of the token to retrieve.

## Response 200:

  - `200` (unknown)
    Successful operation. The token is returned without the token value.

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier of the token.

  - `label` (string)
    The label of the token.

  - `description` (string)
    The description of the token.

  - `managePersistedQueries` (boolean)
    Gets or sets whether the token can manage persisted queries.

  - `expiration` (string)
    The expiration date and time of the token.

  - `restrictions` (object)
    Represents the restrictions associated with a token.
    Example: {"publishState":["Published"],"branches":["main"],"origins":["https://myapp.com"],"sourceIPs":["127.0.0.1"],"introspection":true}

  - `restrictions.publishState` (array)
    Gets or sets the publish states associated with the token.

  - `restrictions.branches` (array)
    Gets or sets the branches associated with the token. This can be an exact match with the branch ID or a prefix match.

  - `restrictions.sourceIPs` (array)
    Gets or sets the source IP addresses associated with the token.

  - `restrictions.origins` (array)
    Gets or sets the origins associated with the token.

  - `restrictions.introspection` (boolean)
    Gets or sets a value indicating whether introspection is allowed.

  - `lastUse` (string)
    The date and time when the token was last used.

  - `system` (object)
    Represents system metadata for a token.

  - `system.createdAt` (string)
    The date and time when the token was created.

  - `system.createdBy` (object)

  - `system.createdBy.type` (string)

  - `system.createdBy.relatedType` (string)

  - `system.createdBy.id` (string)

  - `system.createdBy.uri` (string)

  - `system.updatedAt` (string)
    The date and time when the token was last updated.

## Response 400:

  - `400` (unknown)
    Invalid input, such as a missing ID in the URL

## Response 400 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `errors` (object)

## Response 401:

  - `401` (unknown)
    Invalid bearer token

## Response 401 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 403:

  - `403` (unknown)
    Request does not contain required scopes

## Response 403 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 404:

  - `404` (unknown)
    Token not found

## Response 404 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

